/*

We start with the most basic AI, mobs that just wander randomly.

*/

mob
	// give all mobs the potential to have an AI routine.
	proc
		ai()

	Login()
		. = ..()
		icon_state = "green"

	ai
		// When a mob of type /mob/ai is created we want to start the AI loop.
		New()
			..()
			spawn(10) ai()

			// All mobs placed on the map will call ai() at the
			// same time. You might want to comment out the first
			// spawn() line and use this one instead:
			// spawn(rand(10,20)) ai()

			// This way the ai-controlled mobs don't all move at the
			// same time. Try using this line instead to see the difference.

		// This is the AI loop. In this example mobs just call step_rand each iteration.
		ai()
			step_rand(src)

			// There is a one second delay between AI cycles. It's important to have
			// some delay, even if it's short.
			spawn(10) ai()

		// In all of these examples we'll be dealing with these two types of AI-controlled mobs.
		red
			icon_state = "red"
		blue
			icon_state = "blue"